<html>
<head>
<title>OgreGLESPBRenderTexture.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_9e680f2cca56003d76c91ad8153c6d1e.html">GLES</a>      </li>
      <li class="navelem"><a class="el" href="dir_2b7861191a86db021136edf07f6d3897.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreGLESPBRenderTexture.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreGLESPBRenderTexture_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2008 Renato Araujo Oliveira Filho &lt;renatox@gmail.com&gt;</span>
<a name="l00008"></a>00008 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00011"></a>00011 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00012"></a>00012 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00013"></a>00013 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00014"></a>00014 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00015"></a>00015 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00016"></a>00016 <span class="comment"></span>
<a name="l00017"></a>00017 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00018"></a>00018 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00019"></a>00019 <span class="comment"></span>
<a name="l00020"></a>00020 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00021"></a>00021 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00022"></a>00022 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00023"></a>00023 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00024"></a>00024 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00025"></a>00025 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00026"></a>00026 <span class="comment">THE SOFTWARE.</span>
<a name="l00027"></a>00027 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00028"></a>00028 <span class="comment">*/</span>
<a name="l00029"></a>00029 
<a name="l00030"></a>00030 <span class="preprocessor">#ifndef __GLESPBRenderTexture_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span><span class="preprocessor">#define __GLESPBRenderTexture_H__</span>
<a name="l00032"></a>00032 <span class="preprocessor"></span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreGLESRenderTexture_8h.html">OgreGLESRenderTexture.h</a>&quot;</span>
<a name="l00034"></a>00034 
<a name="l00035"></a>00035 <span class="keyword">namespace </span>Ogre {
<a name="l00036"></a>00036 
<a name="l00039"></a>00039     <span class="keyword">class </span>GLESPBRTTManager;
<a name="l00040"></a>00040     <span class="keyword">class </span>GLESPBuffer;
<a name="l00041"></a>00041     <span class="keyword">class </span>GLESContext;
<a name="l00042"></a><a class="code" href="classOgre_1_1GLESPBRenderTexture.html">00042</a>     <span class="keyword">class </span><a class="code" href="OgreGLESPrerequisites_8h.html#aacfbc6e9783463d78a54316f63943b0a">_OgreGLESExport</a> <a class="code" href="classOgre_1_1GLESPBRenderTexture.html">GLESPBRenderTexture</a>: <span class="keyword">public</span> <a class="code" href="classOgre_1_1GLESRenderTexture.html" title="Base class for GL Render Textures.">GLESRenderTexture</a>
<a name="l00043"></a>00043     {
<a name="l00044"></a>00044         <span class="keyword">public</span>:
<a name="l00045"></a>00045             <a class="code" href="classOgre_1_1GLESPBRenderTexture.html">GLESPBRenderTexture</a>(<a class="code" href="classOgre_1_1GLESPBRTTManager.html" title="Manager for rendertextures and PBuffers (offscreen rendering contexts)">GLESPBRTTManager</a> *manager, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <span class="keyword">const</span> <a class="code" href="structOgre_1_1GLESSurfaceDesc.html" title="GL surface descriptor.">GLESSurfaceDesc</a> &amp;target, <span class="keywordtype">bool</span> writeGamma, <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> fsaa);
<a name="l00046"></a>00046             <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1GLESPBRenderTexture.html">GLESPBRenderTexture</a>();
<a name="l00047"></a>00047             <span class="keyword">virtual</span> <span class="keywordtype">void</span> getCustomAttribute(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keywordtype">void</span>* pData);
<a name="l00048"></a>00048 
<a name="l00049"></a>00049         <span class="keyword">protected</span>:
<a name="l00050"></a><a class="code" href="classOgre_1_1GLESPBRenderTexture.html#a6dfefa2c32af8e332aac170446b2831c">00050</a>             <a class="code" href="classOgre_1_1GLESPBRTTManager.html" title="Manager for rendertextures and PBuffers (offscreen rendering contexts)">GLESPBRTTManager</a> *<a class="code" href="classOgre_1_1GLESPBRenderTexture.html#a6dfefa2c32af8e332aac170446b2831c">mManager</a>;
<a name="l00051"></a><a class="code" href="classOgre_1_1GLESPBRenderTexture.html#a6825de0100095dbbeef1ba5f76b26d0d">00051</a>             <a class="code" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe" title="Pixel component format.">PixelComponentType</a> <a class="code" href="classOgre_1_1GLESPBRenderTexture.html#a6825de0100095dbbeef1ba5f76b26d0d">mPBFormat</a>;
<a name="l00052"></a>00052     };
<a name="l00053"></a>00053 
<a name="l00056"></a><a class="code" href="classOgre_1_1GLESPBRTTManager.html">00056</a>     <span class="keyword">class </span><a class="code" href="OgreGLESPrerequisites_8h.html#aacfbc6e9783463d78a54316f63943b0a">_OgreGLESExport</a> <a class="code" href="classOgre_1_1GLESPBRTTManager.html" title="Manager for rendertextures and PBuffers (offscreen rendering contexts)">GLESPBRTTManager</a>: <span class="keyword">public</span> <a class="code" href="classOgre_1_1GLESRTTManager.html" title="Manager/factory for RenderTextures.">GLESRTTManager</a>
<a name="l00057"></a>00057     {
<a name="l00058"></a>00058         <span class="keyword">public</span>:
<a name="l00059"></a>00059             <a class="code" href="classOgre_1_1GLESPBRTTManager.html" title="Manager for rendertextures and PBuffers (offscreen rendering contexts)">GLESPBRTTManager</a>(<a class="code" href="classOgre_1_1GLESSupport.html">GLESSupport</a> *support, <a class="code" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> *mainwindow);
<a name="l00060"></a>00060             <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1GLESPBRTTManager.html" title="Manager for rendertextures and PBuffers (offscreen rendering contexts)">GLESPBRTTManager</a>();
<a name="l00061"></a>00061 
<a name="l00064"></a>00064             <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1RenderTexture.html" title="This class represents a RenderTarget that renders to a Texture.">RenderTexture</a> *createRenderTexture(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name,
<a name="l00065"></a>00065                                                        <span class="keyword">const</span> <a class="code" href="structOgre_1_1GLESSurfaceDesc.html" title="GL surface descriptor.">GLESSurfaceDesc</a> &amp;target,
<a name="l00066"></a>00066                                                        <span class="keywordtype">bool</span> writeGamma, <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> fsaa);
<a name="l00067"></a>00067 
<a name="l00070"></a>00070             <span class="keyword">virtual</span> <span class="keywordtype">bool</span> checkFormat(<a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format);
<a name="l00071"></a>00071 
<a name="l00074"></a>00074             <span class="keyword">virtual</span> <span class="keywordtype">void</span> bind(<a class="code" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> *target);
<a name="l00075"></a>00075 
<a name="l00078"></a>00078             <span class="keyword">virtual</span> <span class="keywordtype">void</span> unbind(<a class="code" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> *target);
<a name="l00079"></a>00079 
<a name="l00082"></a>00082             <span class="keywordtype">void</span> requestPBuffer(<a class="code" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe" title="Pixel component format.">PixelComponentType</a> ctype, <span class="keywordtype">size_t</span> width, <span class="keywordtype">size_t</span> height);
<a name="l00083"></a>00083 
<a name="l00086"></a>00086             <span class="keywordtype">void</span> releasePBuffer(<a class="code" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe" title="Pixel component format.">PixelComponentType</a> ctype);
<a name="l00087"></a>00087 
<a name="l00088"></a>00088         <span class="keyword">protected</span>:
<a name="l00090"></a><a class="code" href="classOgre_1_1GLESPBRTTManager.html#a0ee92ce86930536f386dd1c84c74a8c4">00090</a>             <a class="code" href="classOgre_1_1GLESSupport.html">GLESSupport</a> *<a class="code" href="classOgre_1_1GLESPBRTTManager.html#a0ee92ce86930536f386dd1c84c74a8c4" title="GLESSupport reference, used to create PBuffers.">mSupport</a>;
<a name="l00092"></a><a class="code" href="classOgre_1_1GLESPBRTTManager.html#aaafcf6e41f9d45822487b5ebac75e320">00092</a>             <a class="code" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> *<a class="code" href="classOgre_1_1GLESPBRTTManager.html#aaafcf6e41f9d45822487b5ebac75e320" title="Primary window reference.">mMainWindow</a>;
<a name="l00094"></a><a class="code" href="classOgre_1_1GLESPBRTTManager.html#abdf1ae51c74ecead0688472425fee684">00094</a>             <a class="code" href="classOgre_1_1GLESContext.html" title="Class that encapsulates an GL context.">GLESContext</a> *<a class="code" href="classOgre_1_1GLESPBRTTManager.html#abdf1ae51c74ecead0688472425fee684" title="Primary window context.">mMainContext</a>;
<a name="l00096"></a><a class="code" href="structOgre_1_1GLESPBRTTManager_1_1PBRef.html">00096</a>             <span class="keyword">struct </span><a class="code" href="structOgre_1_1GLESPBRTTManager_1_1PBRef.html" title="Reference to a PBuffer, with refcount.">PBRef</a>
<a name="l00097"></a>00097             {
<a name="l00098"></a><a class="code" href="structOgre_1_1GLESPBRTTManager_1_1PBRef.html#a65ebbddc7e10f93130233e58c20c5c2e">00098</a>                 <a class="code" href="structOgre_1_1GLESPBRTTManager_1_1PBRef.html#a65ebbddc7e10f93130233e58c20c5c2e">PBRef</a>(): pb(0),refcount(0) {}
<a name="l00099"></a><a class="code" href="structOgre_1_1GLESPBRTTManager_1_1PBRef.html#a7ea7570d35badb0549a633b0e9438c7f">00099</a>                 <a class="code" href="classOgre_1_1GLESPBuffer.html">GLESPBuffer</a>* <a class="code" href="structOgre_1_1GLESPBRTTManager_1_1PBRef.html#a7ea7570d35badb0549a633b0e9438c7f">pb</a>;
<a name="l00100"></a><a class="code" href="structOgre_1_1GLESPBRTTManager_1_1PBRef.html#a43897ebbad5d4d8a60043d0826055c0c">00100</a>                 <span class="keywordtype">size_t</span> <a class="code" href="structOgre_1_1GLESPBRTTManager_1_1PBRef.html#a43897ebbad5d4d8a60043d0826055c0c">refcount</a>;
<a name="l00101"></a>00101             };
<a name="l00103"></a><a class="code" href="classOgre_1_1GLESPBRTTManager.html#a9822210166dc0c84dd19ff6662477e29">00103</a>             <a class="code" href="structOgre_1_1GLESPBRTTManager_1_1PBRef.html" title="Reference to a PBuffer, with refcount.">PBRef</a> mPBuffers[<a class="code" href="group__Image.html#ggac8f59c884998d9f84d9ea4c66e4c29fea9966a610c32b0e690c91a553b7b8a45e" title="32 bit float per component">PCT_COUNT</a>];
<a name="l00104"></a>00104     };
<a name="l00105"></a>00105 }
<a name="l00106"></a>00106 
<a name="l00107"></a>00107 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:50
</p>
</body>
</html>
